package com.nisum.demo.blobStorage;

import com.microsoft.azure.functions.annotation.*;
import com.microsoft.azure.functions.*;
import java.io.IOException;

/**
 * Azure Functions with Azure Blob trigger.
 */
public class BlobTriggerFunction {
    /**
     * This function will be invoked when a new or updated blob is detected at the specified path. The blob contents are provided as input to this function.
     */
    @FunctionName("BlobTriggerFunc")
    public void run(
        @BlobTrigger(name = "inbound", path = "test/{name}", dataType = "binary",
                connection = "AzureWebJobsStorage") byte[] content,
        @BindingName("name") String name,
        final ExecutionContext context
    ) throws IOException {
        context.getLogger().info("Java Blob trigger function processed a blob. Name: " +
                name + "\n  Size: " + content.length + " Bytes");
    }
}
